---
- name: Configure clients
  jugasit.keycloak.client:

    # Standard auth parameters
    auth_client_id: "{{ keycloak_auth_client_id | default(omit) }}"
    auth_client_secret: "{{ keycloak_auth_client_secret | default(omit) }}"
    auth_keycloak_url: "{{ keycloak_auth_url | default(omit) }}"
    auth_password: "{{ keycloak_auth_password | default(omit) }}"
    auth_realm: "{{ keycloak_auth_realm | default(omit) }}"
    auth_username: "{{ keycloak_auth_username | default(omit) }}"
    token: "{{ keycloak_auth_token | default(omit) }}"
    validate_certs: "{{ keycloak_validate_certs | default(omit) }}"

    # Module parameters
    always_display_in_console: "{{ item.always_display_in_console | default(omit) }}"
    attributes: "{{ item.attributes | default(omit) }}"
    authentication_flow_binding_overrides: "{{ item.authentication_flow_binding_overrides | default(omit) }}"
    authorization_services_enabled: "{{ item.authorization_services_enabled | default(omit) }}"
    authorization_settings: "{{ item.authorization_settings | default(omit) }}"
    bearer_only: "{{ item.bearer_only | default(omit) }}"
    client_authenticator_type: "{{ item.client_authenticator_type | default(omit) }}"
    client_id: "{{ item.client_id | default(omit) }}"
    client_template: "{{ item.client_template | default(omit) }}"
    consent_required: "{{ item.consent_required | default(omit) }}"
    default_client_scopes: "{{ item.default_client_scopes | default(omit) }}"
    default_roles: "{{ item.default_roles | default(omit) }}"
    description: "{{ item.description | default(omit) }}"
    direct_access_grants_enabled: "{{ item.direct_access_grants_enabled | default(omit) }}"
    enabled: "{{ item.enabled | default(omit) }}"
    frontchannel_logout: "{{ item.frontchannel_logout | default(omit) }}"
    full_scope_allowed: "{{ item.full_scope_allowed | default(omit) }}"
    id: "{{ item.id | default(omit) }}"
    implicit_flow_enabled: "{{ item.implicit_flow_enabled | default(omit) }}"
    name: "{{ item.name | default(omit) }}"
    node_re_registration_timeout: "{{ item.node_re_registration_timeout | default(omit) }}"
    not_before: "{{ item.not_before | default(omit) }}"
    optional_client_scopes: "{{ item.optional_client_scopes | default(omit) }}"
    protocol: "{{ item.protocol | default(omit) }}"
    protocol_mappers: "{{ item.protocol_mappers | default(omit) }}"
    public_client: "{{ item.public_client | default(omit) }}"
    realm: "{{ item.realm | default(omit) }}"
    redirect_uris: "{{ item.redirect_uris | default(omit) }}"
    registered_nodes: "{{ item.registered_nodes | default(omit) }}"
    registration_access_token: "{{ item.registration_access_token | default(omit) }}"
    root_url: "{{ item.root_url | default(omit) }}"
    secret: "{{ item.secret | default(omit) }}"
    service_accounts_enabled: "{{ item.service_accounts_enabled | default(omit) }}"
    standard_flow_enabled: "{{ item.standard_flow_enabled | default(omit) }}"
    state: "{{ item.state | default('present') }}"
    surrogate_auth_required: "{{ item.surrogate_auth_required | default(omit) }}"
    use_template_config: "{{ item.use_template_config | default(omit) }}"
    use_template_mappers: "{{ item.use_template_mappers | default(omit) }}"
    use_template_scope: "{{ item.use_template_scope | default(omit) }}"
    web_origins: "{{ item.web_origins | default(omit) }}"

  loop: "{{ keycloak_clients | default([]) }}"
  no_log: "{{ keycloak_clients_secure_logging | default(keycloak_secure_logging) | default(false) }}"
...
